# Uses of Class
org.apache.lucene.queryparser.flexible.core.QueryNodeParseException

Packages that use QueryNodeParseException
Package
Description
org.apache.lucene.queryparser.flexible.core.parser
Necessary interfaces to implement text parsers.
org.apache.lucene.queryparser.flexible.standard.parser
Lucene Query Parser

- ## Uses of QueryNodeParseException in org.apache.lucene.queryparser.flexible.core.parser

  Methods in org.apache.lucene.queryparser.flexible.core.parser that throw QueryNodeParseException
  Modifier and Type
  Method
  Description
  `QueryNode`
  SyntaxParser.`parse(CharSequence query, CharSequence field)`

- ## Uses of QueryNodeParseException in org.apache.lucene.queryparser.flexible.standard.parser

  Subclasses of QueryNodeParseException in org.apache.lucene.queryparser.flexible.standard.parser
  Modifier and Type
  Class
  Description
  `class`
  `ParseException`
  This exception is thrown when parse errors are encountered.
  Methods in org.apache.lucene.queryparser.flexible.standard.parser that throw QueryNodeParseException
  Modifier and Type
  Method
  Description
  `QueryNode`
  StandardSyntaxParser.`parse(CharSequence query, CharSequence field)`
  Parses a query string, returning a `QueryNode`.